Subject: Re: [lojban] Usage of logical connectives?

From: Rob Speer <[email-masked]>
Date: Wed, 25 Apr 2001 16:10:58 -0400

On Wed, Apr 25, 2001 at 12:50:43AM +0000, Jorge Llambias wrote:
> 
> la robyspir cusku di'e
> 
> >Since the truth value of a command is whether that command is carried out, 
> >what
> >would be wrong with:
> >
> >ko nicygau ledo kumfa .ijo do kakne lenu klama le panka
> 
> Probably {mi curmi le nu do klama le panka} is better than {kakne}.
> 
> It's not that the sentence is wrong, it is just that it doesn't
> really have the intended meaning. It says that the two events
> are true together or false together, it does not say that the
> permission to go to the park is a consequence of the child
> cleaning up the room, nor that the parent wants the child
> to clean up the room. It doesn't say "I want you to clean up
> your room, and your recompense for doing it will be my permission
> to go to the park". Maybe the English doesn't really say all that
> either, maybe it only implicates it, and we can do the same
> in Lojban, but then our children won't learn to think
> logically... :)

I think it's the other way around.

If you make concise statements using the logical connections, it expresses the
concept more clearly and logically than if you bring in concepts like
"recompense", and additionally it would _assist_ the children to think
logically if things are frequently expressed in terms of logic itself.

Anyhow, what _would_ {ko nicygau ledo kumfa .ijo mi ba curmi lenu do klama le
panka} mean?

{ko nicygau ledo kumfa} on is a logical statement. The child may decide it to
be false {na go'i .i oi mi na djica} but the {ko} means that the parent would
like it to be true.

{mi ba curmi lenu do klama le panka} is also a statement which can be true or
false, and the child has no control over that.

So with the .ijo, these statements restrict each other, as such:
I will let you go to the park, but only if you clean your room.
If you do clean your room, I will let you go to the park.
(This creates an obligation both ways - if it turns out that there's a
thunderstorm and so the child can't go to the park, the child doesn't have to
clean his room. This is probably not the consequence the parent wants to focus
on, but a child might understand that .ijo is inherently more fair than
.ijanai.)

Certainly the fact that one event is compensation for the other is not
explicitly expressed, but I think that the relationship between the events is
so clear that it wouldn't need to be.
-- 
Rob Speer